/* // hooks/useSonstigeMarkersLayer.js
import { useEffect, useState } from "react";
import L from "leaflet";
import { addContextMenuToMarker } from "../../utils/addContextMenuToMarker";
import { createAndSetDevices } from "../../utils/createAndSetDevices";

const useSonstigeMarkersLayer = (map, oms, GisSystemStatic, priorityConfig) => {
  const [sonstigeMarkers, setSonstigeMarkers] = useState([]);

  useEffect(() => {
    if (GisSystemStatic && GisSystemStatic.length && map) {
      createAndSetDevices(200, setSonstigeMarkers, GisSystemStatic, priorityConfig); // Sonstige
    }
  }, [GisSystemStatic, map, priorityConfig]);

  useEffect(() => {
    if (map && sonstigeMarkers.length) {
      sonstigeMarkers.forEach((marker) => {
        marker.addTo(map);
        oms.addMarker(marker);

        // Popup on mouseover and mouseout
        marker.on("mouseover", function () {
          this.openPopup();
        });
        marker.on("mouseout", function () {
          this.closePopup();
        });

        addContextMenuToMarker(marker);
      });

      // Disable map context menu
      map.options.contextmenu = false;
      map.options.contextmenuItems = [];

      oms.map.options.contextmenu = false;
      oms.map.options.contextmenuItems = [];
    }
  }, [map, sonstigeMarkers, oms]);

  return sonstigeMarkers;
};

export default useSonstigeMarkersLayer;
 */
